<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_152-release) on Tue May 29 23:57:01 CEST 2018 -->
<title>O-Index</title>
<meta name="date" content="2018-05-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="O-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-9.html">Prev Letter</a></li>
<li><a href="index-11.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-10.html" target="_top">Frames</a></li>
<li><a href="index-10.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">W</a>&nbsp;<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/ScoresAdapter.html#onBindViewHolder-danielepani.it.filigheddutapper.ScoresAdapter.ScoresHolder-int-">onBindViewHolder(ScoresAdapter.ScoresHolder, int)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/ScoresAdapter.html" title="class in danielepani.it.filigheddutapper">ScoresAdapter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/Punteggi.html#onCreate-android.os.Bundle-">onCreate(Bundle)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/Punteggi.html" title="class in danielepani.it.filigheddutapper">Punteggi</a></dt>
<dd>
<div class="block">onCreate is like a constructor: it assigns all instance variables and handles the instanceState, if any</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html#onCreate-android.os.Bundle-">onCreate(Bundle)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html" title="class in danielepani.it.filigheddutapper">SchermataDiGioco</a></dt>
<dd>
<div class="block">onCreate is like a constructor: it assigns all instance variables and handles the instanceState, if any</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SchermataPrincipale.html#onCreate-android.os.Bundle-">onCreate(Bundle)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SchermataPrincipale.html" title="class in danielepani.it.filigheddutapper">SchermataPrincipale</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/scoresdata/ScoresContentProvider.html#onCreate--">onCreate()</a></span> - Method in class danielepani.it.filigheddutapper.scoresdata.<a href="../danielepani/it/filigheddutapper/scoresdata/ScoresContentProvider.html" title="class in danielepani.it.filigheddutapper.scoresdata">ScoresContentProvider</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/scoresdata/ScoresDbHelper.html#onCreate-android.database.sqlite.SQLiteDatabase-">onCreate(SQLiteDatabase)</a></span> - Method in class danielepani.it.filigheddutapper.scoresdata.<a href="../danielepani/it/filigheddutapper/scoresdata/ScoresDbHelper.html" title="class in danielepani.it.filigheddutapper.scoresdata">ScoresDbHelper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SettaggiActivity.html#onCreate-android.os.Bundle-">onCreate(Bundle)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SettaggiActivity.html" title="class in danielepani.it.filigheddutapper">SettaggiActivity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/Punteggi.html#onCreateLoader-int-android.os.Bundle-">onCreateLoader(int, Bundle)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/Punteggi.html" title="class in danielepani.it.filigheddutapper">Punteggi</a></dt>
<dd>
<div class="block">Create a loader for content provider.</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/Punteggi.html#onCreateOptionsMenu-android.view.Menu-">onCreateOptionsMenu(Menu)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/Punteggi.html" title="class in danielepani.it.filigheddutapper">Punteggi</a></dt>
<dd>
<div class="block">Create the options Menu</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SchermataPrincipale.html#onCreateOptionsMenu-android.view.Menu-">onCreateOptionsMenu(Menu)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SchermataPrincipale.html" title="class in danielepani.it.filigheddutapper">SchermataPrincipale</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/Settaggi.html#onCreatePreferences-android.os.Bundle-java.lang.String-">onCreatePreferences(Bundle, String)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/Settaggi.html" title="class in danielepani.it.filigheddutapper">Settaggi</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/ScoresAdapter.html#onCreateViewHolder-android.view.ViewGroup-int-">onCreateViewHolder(ViewGroup, int)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/ScoresAdapter.html" title="class in danielepani.it.filigheddutapper">ScoresAdapter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html#onDestroy--">onDestroy()</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html" title="class in danielepani.it.filigheddutapper">SchermataDiGioco</a></dt>
<dd>
<div class="block">Activity is destroyed</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/utils/NotifyJobService.html#onDestroy--">onDestroy()</a></span> - Method in class danielepani.it.filigheddutapper.utils.<a href="../danielepani/it/filigheddutapper/utils/NotifyJobService.html" title="class in danielepani.it.filigheddutapper.utils">NotifyJobService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/Punteggi.html#onLoaderReset-android.content.Loader-">onLoaderReset(Loader&lt;Cursor&gt;)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/Punteggi.html" title="class in danielepani.it.filigheddutapper">Punteggi</a></dt>
<dd>
<div class="block">This function is required to implement LoaderCallbacks</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/Punteggi.html#onLoadFinished-android.content.Loader-android.database.Cursor-">onLoadFinished(Loader&lt;Cursor&gt;, Cursor)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/Punteggi.html" title="class in danielepani.it.filigheddutapper">Punteggi</a></dt>
<dd>
<div class="block">Here data are set in ScoresAdapter</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/Punteggi.html#onOptionsItemSelected-android.view.MenuItem-">onOptionsItemSelected(MenuItem)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/Punteggi.html" title="class in danielepani.it.filigheddutapper">Punteggi</a></dt>
<dd>
<div class="block">Handles the actions to be taken when a menu item is selected</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html#onOptionsItemSelected-android.view.MenuItem-">onOptionsItemSelected(MenuItem)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html" title="class in danielepani.it.filigheddutapper">SchermataDiGioco</a></dt>
<dd>
<div class="block">Handle the back arrow, going back to main screen</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SchermataPrincipale.html#onOptionsItemSelected-android.view.MenuItem-">onOptionsItemSelected(MenuItem)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SchermataPrincipale.html" title="class in danielepani.it.filigheddutapper">SchermataPrincipale</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html#onPause--">onPause()</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html" title="class in danielepani.it.filigheddutapper">SchermataDiGioco</a></dt>
<dd>
<div class="block">Pause state</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/Settaggi.html#onPreferenceChange-android.support.v7.preference.Preference-java.lang.Object-">onPreferenceChange(Preference, Object)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/Settaggi.html" title="class in danielepani.it.filigheddutapper">Settaggi</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html#onResume--">onResume()</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html" title="class in danielepani.it.filigheddutapper">SchermataDiGioco</a></dt>
<dd>
<div class="block">Activity was resumed</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html#onSaveInstanceState-android.os.Bundle-">onSaveInstanceState(Bundle)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html" title="class in danielepani.it.filigheddutapper">SchermataDiGioco</a></dt>
<dd>
<div class="block">Save instance state, especially useful when device has been rotated</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/Settaggi.html#onSharedPreferenceChanged-android.content.SharedPreferences-java.lang.String-">onSharedPreferenceChanged(SharedPreferences, String)</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/Settaggi.html" title="class in danielepani.it.filigheddutapper">Settaggi</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html#onStart--">onStart()</a></span> - Method in class danielepani.it.filigheddutapper.<a href="../danielepani/it/filigheddutapper/SchermataDiGioco.html" title="class in danielepani.it.filigheddutapper">SchermataDiGioco</a></dt>
<dd>
<div class="block">Activity is started</div>
</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/utils/NotifyJobService.html#onStartJob-com.firebase.jobdispatcher.JobParameters-">onStartJob(JobParameters)</a></span> - Method in class danielepani.it.filigheddutapper.utils.<a href="../danielepani/it/filigheddutapper/utils/NotifyJobService.html" title="class in danielepani.it.filigheddutapper.utils">NotifyJobService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/utils/NotifyJobService.html#onStopJob-com.firebase.jobdispatcher.JobParameters-">onStopJob(JobParameters)</a></span> - Method in class danielepani.it.filigheddutapper.utils.<a href="../danielepani/it/filigheddutapper/utils/NotifyJobService.html" title="class in danielepani.it.filigheddutapper.utils">NotifyJobService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../danielepani/it/filigheddutapper/scoresdata/ScoresDbHelper.html#onUpgrade-android.database.sqlite.SQLiteDatabase-int-int-">onUpgrade(SQLiteDatabase, int, int)</a></span> - Method in class danielepani.it.filigheddutapper.scoresdata.<a href="../danielepani/it/filigheddutapper/scoresdata/ScoresDbHelper.html" title="class in danielepani.it.filigheddutapper.scoresdata">ScoresDbHelper</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-9.html">Prev Letter</a></li>
<li><a href="index-11.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-10.html" target="_top">Frames</a></li>
<li><a href="index-10.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
